/* Common styles for menu items */
.dim{
    background-color: rgba(0, 0, 0,0.1);
}
.dim1{
    background-color: rgba(0, 0, 0,0.01);
}
.white{
    background-color: white;   
}
.cart {
    padding-right: 20px;
    width: 40px; 
}
.cartimgdiv{
    display: flex;
    justify-content: center;
    align-items: center;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    transition: background-color 0.3s ease;
}
.cartimgdiv:hover{
    background-color: #F5F5F7;
}
.searchicon{
    padding-left: 30px;
}
.logo .logoimg{
    width: 50px;
    height: 50px;
}
.profile{
    padding-top: 2px;
    padding-left: 23px;
}
.toggle{
    padding-left: 5px;
}
.navbar{
    /* padding-left: -290px; */
    display: flex;
    height: 75px;
    align-items: center;
    justify-content: center;
    border-bottom: 1px solid rgb(213, 197, 197);
    padding-right: 90px;
    padding-left: 67px;
}
.menu,
.menu li {
    list-style: none;
    margin: 0;
    padding: 0;
}
.menu li {
    display: inline-block;
    font-family: 'Mulish', sans-serif;
    color: rgba(82, 79, 79, 1);
    font-size: 18px;
    font-weight: 700;
    line-height: 21px;
    letter-spacing: -0.045em;
    text-align: center;
    cursor: pointer;
    transition: color 0.3s;
    width: 105px;
}
.menu li:hover {
    color: #007BFF;
}
/* Top Navbar Styles */
.topnavbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 74px;
    border-bottom: 1px solid #ddd9d9;
    padding-left: 106px;
    padding-right: 106px;
}
.logo,
.search,
.cartandprofile {
    width: 33%;
    display: flex;
    align-items: center;
}
.logo img {
    width: 100%;
    height: auto;
}
.search {
    justify-content: center;
    height: 46px;
    border: 1px solid rgb(213, 197, 197);
    border-radius: 50px;
    padding: 0 10px;
}
.inputbox {
    height: 80%;
    width: 80%;
    border-radius: 30px;
    border: none;
    outline: none;
    padding-left: 20px;
}
.cartandprofile .cart {
    width: 80%;
    display: flex;
    justify-content: flex-end;
}
.toggleprofile {
    width: 20%;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    border: 1px solid rgb(213, 197, 197);
    border-radius: 50px;
    padding: 0 10px;
    transition: box-shadow 0.5s ease;
}
.toggleprofile:hover{
    box-shadow: 0px 1px 2px 0px rgba(0, 0, 0, 0.06), 0px 1px 3px 0px rgba(0, 0, 0, 0.10);
}
.toggleprofile .burger {
    width: 15px;
    height: 11px;
}
.toggleprofile .usericon {
    width: 30px;
    height: 30px;
    padding-top: 3px;
}
/* Submenu Styles */
.submenu {
    position: absolute;
    background-color: #ffffff;
    left: 0;
    margin-top: 26px;
    width: 100%;
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.7s ease-in-out 0.4s;
}
.submenu .menuitems {
    padding-left: 93px;
    padding-bottom: 50px;
    display: flex;
    align-items: flex-start;
    width: 100%;
}
.menuitems li{
    width: 180px;
}
.menuitems.airpods li{
    width: 250px;
}
.submenu ul {
    list-style-type: none;
    display: flex;
}
.submenu li {
    display: flex;
    margin-bottom: 10px;
    text-align: left;
}
.submenu ul {
    display: inline-block;
    vertical-align: top;
    margin: 0;
    padding: 20px;
    list-style: none;
}
.submenu ul + ul {
    margin-left: 10px;
}
.submenu .menutitle {
    font-size: 17px;
    color: grey;
}
.menu li:hover + .submenu,
.submenu:hover {
    max-height: 450px;
}
/* Hero Banner Styles */
.herobanner {
    height: 464px;
}
/* Hero Banner Styles */
.herobanner {
    height: 464px;
}
.slider-heading{
    padding-left: 100px;
}
/* shopping-cart slider*/
.slider-heading h3,
.slider-heading span {
  display: inline;
  margin-right: 10px; /* Adjust the margin as needed for spacing */
}
.product-header{
    color: #393838;
    font-family: 'Mulish', sans-serif;
    font-size: 25px;
    font-style: normal;
    font-weight: 700;
    line-height: 18px; /* 72% */
    letter-spacing: -0.224px;
}
.product-header2{
    display: inline-block;
    position: relative;
    color: #06C;
    font-family: 'Mulish', sans-serif;
    font-size: 21px;
    font-style: normal;
    font-weight: 700;
    line-height: 18px; /* 85.714% */
    letter-spacing: -0.224px;
}
.product-header2:after {
    content: '';
    position: absolute;
    width: 100%;
    transform: scaleX(0);
    height: 2px;
    bottom: 0;
    left: 0;
    background-color: 
  #0087ca;
    transform-origin: bottom right;
    transition: transform 0.25s ease-out;
  }
  .product-header2:hover:after {
    transform: scaleX(1);
    transform-origin: bottom left;
  }
.product-slider{
    background-color: #f5f5f7;
    padding-top: 100px;
    box-sizing: border-box;
}
.product-slider a{
    text-decoration: none;
}
.header{
    padding-right: 27px;
    padding-left: 27px;
    padding-top: 30px;
}
.availability {
    color: #717171;
    font-family: 'Mulish',sans-serif;
    font-size: 17px;
    font-style: normal;
    font-weight: 400;
    line-height: 18px; /* 105.882% */
    letter-spacing: -0.224px;
    padding-top: 10px;
}
.available-colors{
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: -17px;
    margin-left: -59px;
}
.available-colors.se{
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: -17px;
    margin-left: -90px;
}
.available-colors.hermes{
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: -17px;
    margin-left: -21px;
}
.available-colors .product-color{
    width: 10px;
    height: 10px;
    border-radius: 50%;
    display: flex;
    border: 1px solid rgb(0, 0, 0,0.1);
    box-shadow: inset 2px 2px 30px rgba(0,0,0,0.03);
    margin: 2px;
}
.head{
    color: #000;
    font-family: 'Mulish',sans-serif;
    font-size: 20px;
    font-style: normal;
    font-weight: 700;
    line-height: 18px; /* 85.714% */
    letter-spacing: -0.224px;
}
.card-img{
    width: 248px;
    height: 258px;
    flex-shrink: 0;
    padding-left: 35px;
    padding-right: 35px;
}
.card-imgstarter{
    padding-top: 20px;
}
.card-imgipad{
    padding-left: -10px;
    width: 100%;
}
.card-imglast{
    padding-left: 20px;
}
.bottom-word{
    color: #717171;
    font-family: 'Mulish',sans-serif;
    font-size: 17px;
    font-style: normal;
    font-weight: 400;
    line-height: 18px; /* 105.882% */
    letter-spacing: -0.224px;
    padding-left: 32px;
}
.img-div.last{
    margin-bottom: 46px;
}
.bottom-div{
    padding-top: 30px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-right: 22px;
    margin-top: -13px;
}
.button{
    margin-bottom: 20px;
}
.starter{
    margin-top: 14px;
}
.buybutton {
    width: 68px;
    height: 36px;
    border-radius: 15px;
    background: #06C;
    color: #FFF;
    border: 0px;
}
.product-box{
    display: flex;
    flex-direction: column;
    width: 329px;
    text-decoration: none;
    height: 420px;
    flex-shrink: 0;
    margin: 20px;
    border-radius: 24px;
    box-sizing: border-box;
    background: #FFF;
    box-shadow: 0px 2px 6px 2px rgba(60, 64, 67, 0.15), 0px 1px 2px 0px rgba(60, 64, 67, 0.30);;
    overflow: hidden;
    transition: all ease 0.3s;
}
.product-box:hover {
    box-shadow: 0px 2px 16px 0px rgba(14, 30, 37, 0.32), 0px 2px 4px 0px rgba(14, 30, 37, 0.12);;
}
.card-imgother{
    padding-top: 200px;
    padding-left: 18px;
}
.product-color.plus{
    color: #717171;
    border: 0px solid rgb(0, 0, 0,0.1);
    margin-top: -7px;
    font-size: 18px;
    font-weight: bold;
}
.lSPager{
    display: none;
}
.lSAction >a{
    background-color: #00000033;
    width: 50px;
    height: 50px;
    border-radius: 50%;
    background-image: none;
    display: flex;
    justify-content: center;
    align-items: center;
    background-image: none;
}
.no-padding {
    padding-left:90px ;
}
.popup{
    height: 40px;
    flex-shrink: 0;
    width: 93%;
    padding-left: 14px;
    display: flex;
    align-items: center;
}
.popuphr{
    width: 100%;
    border-top: 0.5px solid #EFEDED;
}
.login.popup{
    margin-top: 11px;
}
.signup.popup{
    margin-bottom: 11px;
}
.idesire.popup{
    margin-top: 11px;
}
.popupmenu {
    width: 190px;
    height: 206px;
    font-family: 'Mulish',sans-serif;
    color: #717171;
    font-size: 15px;
    font-style: normal;
    font-weight: 80;
    line-height: normal;
    letter-spacing: -0.63px;
    position: absolute;
    top: 32%;
    left: 74.3%;
    transform: translate(10%, -50%);
    display: none;
    border-radius: 12px;
    background: #FFF;
    box-shadow: 0px 0px 3px 0px rgba(0, 0, 0, 0.08);
}
.popup:hover {
    background-color: rgb(245, 245, 247,1);
}
.display-login{
    display: none;
}
.loginpage{
    width: 502px;
    height: 432px;
    font-family: 'Mulish',sans-serif;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    border-radius: 12px;
    background: #FFF;
    box-shadow: 0px 0px 3px 0px rgba(0, 0, 0, 0.08);
    display: flex;
    flex-direction: column;
    align-items: center;
}
.login-title{
    color: #000;
    font-family: 'Mulish',sans-serif;
    font-size: 21px;
    font-style: normal;
    font-weight: 700;
    line-height: 18px; /* 85.714% */
    letter-spacing: -0.224px;
    margin-top: 30px;
}
.close-button {
    position: absolute;
    top: 10px;
    right: 12px;
}
.input-container {
    border: 1px solid #ccc;
    width: 338px;
    height: 44px;
    flex-shrink: 0;
    border-radius: 7px;
    margin-top: 46px;
}
.label1 {
    position: absolute;
    top: 24.8%;
    transition: top 0.3s, font-size 0.3s;
    left: 21%;
    color: #717171;
    font-family: 'Mulish', sans-serif;
    font-size: 14px;
    font-style: normal;
    font-weight: 549.5;
    line-height: 18px; /* 128.571% */
    letter-spacing: -0.224px;
}
.input-container:focus-within {
    border: 1.5px solid rgba(0,102,204,1);
}
.input1 {
    outline: none;
    border: none;
    margin-top: 14.6px;
    margin-left: 21px;
    width: 300px;
    height: 28px;
    border-radius: 10px;
    color: #524F4F;
    font-family: 'Mulish', sans-serif;
    font-size: 14px;
    font-style: normal;
    font-weight: 500;
    line-height: 18px; /* 128.571% */
    letter-spacing: -0.224px;
}
.input1:focus {
    outline: none;
    border: none;
}
.input-container.active .label1 {
    top: 23.3%;
    left: 21%;
    font-size: 10px;
    font-style: normal;
    font-weight: 500;
    line-height: 18px; /* 180% */
    letter-spacing: -0.224px;
}
.input-container2 {
    border: 1px solid #ccc;
    width: 338px;
    height: 44px;
    flex-shrink: 0;
    border-radius: 7px;
    margin-top: 30px;
}
.label2 {
    position: absolute;
    top: 42%;
    transition: top 0.3s, font-size 0.3s;
    left: 21%;
    color: #717171;
    font-family: 'Mulish', sans-serif;
    font-size: 14px;
    font-style: normal;
    font-weight: 549.5;
    line-height: 18px; /* 128.571% */
    letter-spacing: -0.224px;
}
.input-container2:focus-within {
    border: 1.5px solid rgba(0,102,204,1);
}
.input2 {
    outline: none;
    border: none;
    margin-top: 14.6px;
    margin-left: 21px;
    width: 278px;
    height: 28px;
    border-radius: 10px;
    color: #524F4F;
    font-family: 'Mulish', sans-serif;
    font-size: 14px;
    font-style: normal;
    font-weight: 500;
    line-height: 18px; /* 128.571% */
    letter-spacing: -0.224px;
}
.input2:focus {
    outline: none;
    border: none;
}
.next{
    margin-top: 6px;
}
.input-container2.active .label2 {
    top: 40.3%;
    left: 21%;
    font-size: 10px;
    font-style: normal;
    font-weight: 500;
    line-height: 18px; /* 180% */
    letter-spacing: -0.224px;
}
.remember-me{
    margin-top: 60px;
    color: #717171;
    font-family: 'Mulish', sans-serif;
    font-size: 17px;
    font-style: normal;
    font-weight: 549;
    line-height: 18px; /* 105.882% */
    letter-spacing: -0.224px;
}
.forgotpassword{
    padding-top: 45px;
    text-decoration: none;
    color: #06C;
    font-family: 'Mulish', sans-serif;
    font-size: 17px;
    font-style: normal;
    font-weight: 500;
    line-height: 18px;
    letter-spacing: -0.224px;
}
.sign-up{
    margin-top: 9px;
    color: #717171;
    font-family: 'Mulish', sans-serif;
    font-size: 17px;
    font-style: normal;
    font-weight: 400;
    line-height: 18px; /* 105.882% */
    letter-spacing: -0.224px;
}
.sign-uplink{
    text-decoration: none;
    color: #06C;
    font-family: 'Mulish', sans-serif;
    font-size: 17px;
    font-style: normal;
    font-weight: 400;
    line-height: 18px; /* 105.882% */
    letter-spacing: -0.224px;
}

/* sign-up */
.display-signup{
    display: none;

}
.signup-page{
    width: 502px;
    height: 432px;
    font-family: 'Mulish',sans-serif;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    border-radius: 12px;
    background: #FFF;
    box-shadow: 0px 0px 3px 0px rgba(0, 0, 0, 0.08);
    display: flex;
    flex-direction: column;
    align-items: center;
}
.signup-title{
    color: #000;
    font-family: 'Mulish',sans-serif;
    font-size: 21px;
    font-style: normal;
    font-weight: 700;
    line-height: 18px; /* 85.714% */
    letter-spacing: -0.224px;
    margin-top: 30px;
}
.input-container3 {
    border: 1px solid #ccc;
    width: 338px;
    height: 44px;
    flex-shrink: 0;
    border-radius: 7px;
    margin-top: 30px;
}
.label3 {
    position: absolute;
    top: 59.8%;
    transition: top 0.3s, font-size 0.3s;
    left: 21%;
    color: #717171;
    font-family: 'Mulish', sans-serif;
    font-size: 14px;
    font-style: normal;
    font-weight: 549.5;
    line-height: 18px; /* 128.571% */
    letter-spacing: -0.224px;
}
.input-container3:focus-within {
    border: 1.5px solid rgba(0,102,204,1);
}
.input3 {
    outline: none;
    border: none;
    margin-top: 14.6px;
    margin-left: 21px;
    width: 278px;
    height: 28px;
    border-radius: 10px;
    color: #524F4F;
    font-family: 'Mulish', sans-serif;
    font-size: 14px;
    font-style: normal;
    font-weight: 500;
    line-height: 18px; /* 128.571% */
    letter-spacing: -0.224px;
}
.input3:focus {
    outline: none;
    border: none;
}
.next{
    margin-top: 6px;
}
.input-container3.active .label3 {
    top: 58%;
    left: 21%;
    font-size: 10px;
    font-style: normal;
    font-weight: 500;
    line-height: 18px; /* 180% */
    letter-spacing: -0.224px;
}

/* captcha */
.otp-page{
    width: 502px;
    height: 432px;
    font-family: 'Mulish',sans-serif;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    border-radius: 12px;
    background: #FFF;
    box-shadow: 0px 0px 3px 0px rgba(0, 0, 0, 0.08);
    display: flex;
    flex-direction: column;
    align-items: center;
}

.captcha-input{
    background-color: #f7f2f2;
    width: 230px;
    height: 150px;
    border-radius: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
}
.captcha-container{
    margin-top: 80px;
}
.captcha-char {
    display: inline-block;
    font-size: 2.5em;
    color: #007bff;
    font-family: 'Arial', sans-serif;
    margin-right: 5px; /* Adjust as needed */
    transform: rotate(-10deg) scale(1.1, 2) skewX(29deg);
    letter-spacing: 2px; /* Adjust as needed */
}
.captcha-char::before,
.captcha-char::after {
    content: '';
    position: absolute;
    width: 100%;
    height: 2px;
    background-color: #007bff;
    top: 50%;
    left: 0;
    transform-origin: 1 0;
}
.captcha-char::before {
    transform: rotate(29deg);
}

.captcha-char::after {
    transform: rotate(-5deg);
}
.refresh{
    margin-top: 20px;
}
.refresh a{
    text-decoration: none;
    color: #06C;
    font-family: 'Mulish',sans-serif;
    font-size: 17px;
    font-style: normal;
    font-weight: 400;
    line-height: 18px; /* 105.882% */
    letter-spacing: -0.224px;
}
.inputotp{
    outline: none;
    border: none;
    margin-top: 14.6px;
    margin-left: 21px;
    width: 274px;
    height: 28px;
    border-radius: 10px;
    color: #524F4F;
    font-family: 'Mulish', sans-serif;
    font-size: 14px;
    font-style: normal;
    font-weight: 500;
    line-height: 18px; /* 128.571% */
    letter-spacing: -0.224px;
}
.display-otp{
    display: none;
}
/* otp */
.otp-page1{
    width: 502px;
    height: 432px;
    font-family: 'Mulish',sans-serif;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    border-radius: 12px;
    background: #FFF;
    box-shadow: 0px 0px 3px 0px rgba(0, 0, 0, 0.08);
    display: flex;
    flex-direction: column;
    align-items: center;
}
.input-containerotp{
    margin-top: 40px;
    font-family: 'Mulish', sans-serif;
    font-size: 18px;
    font-style: normal;
    font-weight: 500;
    line-height: 18px; /* 128.571% */
    letter-spacing: -0.224px;
    color:#717171;
}
.otp-number{
    margin-top: 40px;
}
.otp-number input {
    width: 42px;
    height: 44px;
    flex-shrink: 0;
    border-radius: 8px;
    border: 1px solid #DDD;
    text-align: center;
    margin: 5px;
    outline: none;
}
.otp-number input:focus {
    outline: 2px solid grey;
}
.display-otp1{
    display: none;
}
.continue{
    margin-left: 8px;
    border: 0px;
    width: 128px;
    height: 50px;
    flex-shrink: 0;
    border-radius: 8px;
    background: #06C;
    color: #FFF;
    font-family: 'Mulish', sans-serif;
    font-size: 17px;
    font-style: normal;
    font-weight: 400;
    line-height: 18px; /* 105.882% */
    letter-spacing: -0.224px;
}
.resend{
    border: 0px;
    width: 128px;
    height: 50px;
    flex-shrink: 0;
    border-radius: 8px;
    background: #06C;
    color: #FFF;
    font-family: 'Mulish', sans-serif;
    font-size: 17px;
    font-style: normal;
    font-weight: 400;
    line-height: 18px; /* 105.882% */
    letter-spacing: -0.224px;
}
.buttondiv{
    margin-top: 160px;
    margin-left: 205px;
}